| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ieee_802_11n Struct Reference

PHY metadata for 802.11n (HT) captures. More...

`#include <wtap.h>`

## Public Attributes
unsigned | has_mcs_index: 1
unsigned | has_bandwidth: 1
unsigned | has_short_gi: 1
unsigned | has_greenfield: 1
unsigned | has_fec: 1
unsigned | has_stbc_streams: 1
unsigned | has_ness: 1
uint16_t | mcs_index
unsigned | bandwidth
unsigned | short_gi: 1
unsigned | greenfield: 1
unsigned | fec: 1
unsigned | stbc_streams: 2
unsigned | ness

## Detailed Description

PHY metadata for 802.11n (HT) captures.

## Member Data Documentation

## ◆ bandwidth

unsigned ieee_802_11n::bandwidth

Channel bandwidth in MHz (e.g. 20, 40).

## ◆ fec

unsigned ieee_802_11n::fec

Forward error correction type: 0 = BCC (Binary Convolutional Coding), 1 = LDPC.

## ◆ greenfield

unsigned ieee_802_11n::greenfield

True if the frame was transmitted in greenfield (HT-only) mode; false for mixed mode.

## ◆ has_bandwidth

unsigned ieee_802_11n::has_bandwidth

Non-zero if `bandwidth` contains a valid value.

## ◆ has_fec

unsigned ieee_802_11n::has_fec

Non-zero if `fec` contains a valid value.

## ◆ has_greenfield

unsigned ieee_802_11n::has_greenfield

Non-zero if `greenfield` contains a valid value.

## ◆ has_mcs_index

unsigned ieee_802_11n::has_mcs_index

Non-zero if `mcs_index` contains a valid value.

## ◆ has_ness

unsigned ieee_802_11n::has_ness

Non-zero if `ness` contains a valid value.

## ◆ has_short_gi

unsigned ieee_802_11n::has_short_gi

Non-zero if `short_gi` contains a valid value.

## ◆ has_stbc_streams

unsigned ieee_802_11n::has_stbc_streams

Non-zero if `stbc_streams` contains a valid value.

## ◆ mcs_index

uint16_t ieee_802_11n::mcs_index

Modulation and Coding Scheme (MCS) index specifying the 802.11n data rate.

## ◆ ness

unsigned ieee_802_11n::ness

Number of extension spatial streams (Ness) present in the HT PPDU.

## ◆ short_gi

unsigned ieee_802_11n::short_gi

True if a short guard interval (400 ns) was used; false for long guard interval (800 ns).

## ◆ stbc_streams

unsigned ieee_802_11n::stbc_streams

Number of Space-Time Block Coding (STBC) spatial streams used for this transmission.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap.h